Name:           doctorj
Version:        4.0.2
Release:        0.fdr.2.rh80
Epoch:          0
Summary:        Java source code analyzer

Group:          Development/Tools
License:        LGPL
URL:            http://doctorj.sourceforge.net/
Source:         http://download.sourceforge.net/doctorj/doctorj-4.0.2.tar.gz
Patch:          %{name}-improperseq.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  flex

%description
DoctorJ analyzes Java code, in the following functional areas:
documentation verification, statistics generation and syntax analysis.


%prep
%setup -q
%patch0 -p1


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%check || :
# make check fails as of 4.0.2...


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/doctorj
%{_mandir}/man1/doctorj.1*


%changelog
* Sun May 30 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:4.0.2-0.fdr.2
- Fix build on FC2, thanks to Michael Schwendt (bug 1025).

* Fri Aug 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:4.0.2-0.fdr.1
- Update to 4.0.2.

* Thu Aug 14 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:4.0.1-0.fdr.1
- Update to 4.0.1.
- Clean up %%doc list.

* Thu Mar 20 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:4.0.0-0.fdr.1
- Update to 4.0.0 and to current Fedora guidelines.
- compat-gcc-c++ no longer required.

* Fri Feb  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 3.3.9-1.fedora.1
- First Fedora release.
